libstdc++: __gnu_pbds::sample_resize_trigger Class Reference

libstdc++

__gnu_pbds::sample_resize_trigger Class Reference

`#include <sample_resize_trigger.hpp>`

## Public Types
typedef std::size_t | size_type

## Public Member Functions
| sample_resize_trigger ()
| sample_range_hashing (const sample_resize_trigger &)
void | swap (sample_resize_trigger &)

## Protected Member Functions
bool | is_grow_needed (size_type size, size_type num_entries) const
bool | is_resize_needed () const
void | notify_cleared ()
void | notify_erase_search_collision ()
void | notify_erase_search_end ()
void | notify_erase_search_start ()
void | notify_erased (size_type num_entries)
void | notify_externally_resized (size_type new_size)
void | notify_find_search_collision ()
void | notify_find_search_end ()
void | notify_find_search_start ()
void | notify_insert_search_collision ()
void | notify_insert_search_end ()
void | notify_insert_search_start ()
void | notify_inserted (size_type num_entries)
void | notify_resized (size_type new_size)

## Detailed Description

A sample resize trigger policy.

Definition at line 47 of file sample_resize_trigger.hpp.

## Member Typedef Documentation

## ◆ size_type

typedef std::size_t __gnu_pbds::sample_resize_trigger::size_type

Size type.

Definition at line 51 of file sample_resize_trigger.hpp.

## Constructor & Destructor Documentation

## ◆ sample_resize_trigger()

__gnu_pbds::sample_resize_trigger::sample_resize_trigger | ( |  | ) |

Default constructor.

Referenced by sample_range_hashing(), and swap().

## Member Function Documentation

## ◆ is_grow_needed()

bool __gnu_pbds::sample_resize_trigger::is_grow_needed | ( | size_type | size,
|  | size_type | num_entries ) const
| inline protected

Queries whether a grow is needed.

## ◆ is_resize_needed()

bool __gnu_pbds::sample_resize_trigger::is_resize_needed | ( |  | ) | const
| inline protected

Queries whether a resize is needed.

## ◆ notify_cleared()

void __gnu_pbds::sample_resize_trigger::notify_cleared | ( |  | ) |
| protected

Notifies the table was cleared.

## ◆ notify_erase_search_collision()

void __gnu_pbds::sample_resize_trigger::notify_erase_search_collision | ( |  | ) |
| inline protected

Notifies a search encountered a collision.

## ◆ notify_erase_search_end()

void __gnu_pbds::sample_resize_trigger::notify_erase_search_end | ( |  | ) |
| inline protected

Notifies a search ended.

## ◆ notify_erase_search_start()

void __gnu_pbds::sample_resize_trigger::notify_erase_search_start | ( |  | ) |
| inline protected

Notifies a search started.

## ◆ notify_erased()

void __gnu_pbds::sample_resize_trigger::notify_erased | ( | size_type | num_entries | ) |
| inline protected

Notifies an element was erased.

## ◆ notify_externally_resized()

void __gnu_pbds::sample_resize_trigger::notify_externally_resized | ( | size_type | new_size | ) |
| protected

Notifies the table was resized externally.

## ◆ notify_find_search_collision()

void __gnu_pbds::sample_resize_trigger::notify_find_search_collision | ( |  | ) |
| inline protected

Notifies a search encountered a collision.

## ◆ notify_find_search_end()

void __gnu_pbds::sample_resize_trigger::notify_find_search_end | ( |  | ) |
| inline protected

Notifies a search ended.

## ◆ notify_find_search_start()

void __gnu_pbds::sample_resize_trigger::notify_find_search_start | ( |  | ) |
| inline protected

Notifies a search started.

## ◆ notify_insert_search_collision()

void __gnu_pbds::sample_resize_trigger::notify_insert_search_collision | ( |  | ) |
| inline protected

Notifies a search encountered a collision.

## ◆ notify_insert_search_end()

void __gnu_pbds::sample_resize_trigger::notify_insert_search_end | ( |  | ) |
| inline protected

Notifies a search ended.

## ◆ notify_insert_search_start()

void __gnu_pbds::sample_resize_trigger::notify_insert_search_start | ( |  | ) |
| inline protected

Notifies a search started.

## ◆ notify_inserted()

void __gnu_pbds::sample_resize_trigger::notify_inserted | ( | size_type | num_entries | ) |
| inline protected

Notifies an element was inserted. the total number of entries in the table is num_entries.

## ◆ notify_resized()

void __gnu_pbds::sample_resize_trigger::notify_resized | ( | size_type | new_size | ) |
| protected

Notifies the table was resized as a result of this object's signifying that a resize is needed.

## ◆ sample_range_hashing()

__gnu_pbds::sample_resize_trigger::sample_range_hashing | ( | const sample_resize_trigger & |  | ) |

Copy constructor.

References sample_resize_trigger().

## ◆ swap()

void __gnu_pbds::sample_resize_trigger::swap | ( | sample_resize_trigger & |  | ) |
| inline

Swaps content.

References sample_resize_trigger().

The documentation for this class was generated from the following file:

- sample_resize_trigger.hpp